Mojo::SSE(3pm)

NAME
Mojo::SSE - Server-Sent Events

SYNOPSIS
  use Mojo::SSE qw(build_event parse_event);

DESCRIPTION
Mojo::SSE implements the Server-Sent Events protocol. Note that this module is EXPERIMENTAL and may change without warning!

FUNCTIONS
Mojo::SSE implements the following functions, which can be imported individually.

  build_event
  my $bytes = build_event $event, $chars;

Build Server-Sent Event.

  parse_event
  my $event = parse_event \$bytes;

Parse Server-Sent Event. Returns "undef" if no complete event was found.

SEE ALSO
Mojolicious, Mojolicious::Guides, <https://mojolicious.org>.